.hover-avatar {
  height: 42px;
  width: 42px;
}

.hover-avatar:hover {
  background: #ebebeb;
}

.fade-out {
}

.fade-out:before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background: linear-gradient(transparent 80px, white);
}

.fade-out:hover:before {
  background: linear-gradient(transparent 80px, #fffc94);
}

.q-calendar-weekly .q-calendar-weekly__day.q-outside .fade-out:before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background: linear-gradient(transparent 80px, #f7f7ff);
}

.q-calendar-weekly .q-calendar-weekly__day.q-outside .fade-out:hover:before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background: linear-gradient(transparent 80px, #fffc94);
}

.grey-1 {
  color: #231f20;
}

.grey-1-header {
  color: #231f20;
  font-size: 18px;
  font-weight: 500;
}

.q-drawer {
  border-right-style: solid;
  border-color: #e6e8e6;
  border-width: 1px;
}

.q-btn .q-icon,
.q-btn .q-spinner {
  font-size: 1.5em;
}

.q-layout-padding {
  padding: 0px;
}

.q-calendar-weekly .q-focus-helper {
  background: none !important;
}

.q-calendar-weekly {
  height: calc(100vh - 48px) !important;
}

.q-calendar-weekly__week--wrapper {
  height: 100% !important;
}

.q-calendar-weekly__head {
  background-color: #f7f7ff;
}

.q-calendar-weekly__head-weekday {
  font-size: 12px !important;
  padding-top: 4px !important;
  padding-bottom: 4px !important;
  border-left: none !important;
  border-right: none !important;
  border-top: none !important;
  border-bottom: 1px;
}

.q-calendar-weekly .q-calendar-weekly__day.q-outside {
  background-color: #f7f7ff !important;
}

.q-calendar-weekly .q-calendar-weekly__day.q-outside:hover {
  background-color: #fffc94 !important;
}

.q-badge--multi-line {
  word-break: initial;
  font-size: 10px;
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  padding-top: 30px;
  padding-bottom: 8px;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
}

.q-calendar-weekly__day-month {
  display: none;
}

.q-calendar-weekly__day-label {
  font-size: 12px !important;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-flex-wrap: nowrap;
  -ms-flex-wrap: nowrap;
  flex-wrap: nowrap;
  left: 0px !important;
  top: 0px !important;
}

.q-calendar-weekly__day {
  padding-bottom: 8px !important;
  background-color: #ffffff !important;
}

.q-calendar-weekly__day:hover {
  background-color: #fffc94 !important;
}

.q-calendar-weekly__day.q-current-day .q-calendar-weekly__day-label {
  font-weight: 600 !important;
  color: black !important;
}

.q-calendar-weekly__day.q-current-day
  .q-calendar-weekly__day-label
  .q-btn__wrapper:before {
  border-width: 1px !important;
  border-top: 0px;
  border-right: 0px;
  border-left: 0px;
  border-radius: 0px;
  border-color: #e7e247;
  margin: auto;
  margin-bottom: 6px;
  width: 16px;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.full-height-width {
  width: 100%;
  height: 100%;
}

.q-card__section.q-card__section--vert {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
}

.q-field.row.no-wrap.items-start.q-textarea.q-textarea--autogrow.q-field--borderless {
  width: 100%;
  height: 100%;
}

.q-field__control.relative-position.row.no-wrap {
  min-height: 100%;
}

.q-textarea .q-field__native {
  padding: 0px;
}
